var ProfileEdit = function ( params )
{
    if (typeof params != 'object' )
        throw new Error ('Requires a hash with parameters!');

    this._form = params['userForm'];
    this._server = params['userDataWS'] || null;
    this.populate();
}

ProfileEdit.prototype = 
{
    populate: function ()
    {
        var context = this;
        var request = new pzHttpRequest(this._server);
        request.get(
                {'command': 'fetch'},
                function (response) {
                    if (response.getElementsByTagName('status').length
                        && response.getElementsByTagName('status')[0].firstChild.nodeValue == 'OK' ) {
                    context.fillForm(response);
                    } else {
                        throw new Error('Failure: user data cannot be retrieved.')
                        }
                }
        );
    },

    fillForm: function (xmlDoc)
    {
        formAttrs = xmlDoc.getElementsByTagName('user')[0].attributes;

        for (var i = 0; i < formAttrs.length; i++) {
            if ( formAttrs[i].nodeName != 'group_id' ) {
                this._form[formAttrs[i].nodeName].value = formAttrs[i].firstChild.nodeValue;
            }

            if ( formAttrs[i].nodeName == 'ourl_resolver' ) {
                ourlResolver = formAttrs[i].firstChild.nodeValue;
            }
        }
    },

    sentForm: function ()
    {
        var udDoc = document.newXmlDoc('user');
        var userData = udDoc.documentElement;

        userData.setAttribute('user_name', this._form.name.value);
        userData.setAttribute('institution', this._form.institution.value);
        userData.setAttribute('email', this._form.email.value);
        userData.setAttribute('login', this._form.login.value);
        userData.setAttribute('enc_pass', this._form.pass.value);
        userData.setAttribute('ourl_resolver', this._form.ourl_resolver.value);

        var request = new pzHttpRequest(this._server);
        request.post(
                {'command': 'save'},
                udDoc,
                function(response) {
                    if (response.getElementsByTagName('status').length
                        && response.getElementsByTagName('status')[0].firstChild.nodeValue == 'OK' ) {
                        alert('User data saved.')
                    } else {
                        alert('Failure data not saved.')
                    }
                }
            );
    }
}
