<?xml version="1.0"?>
<!--
    $Id: mk_globals.xsl,v 1.7 2007/08/15 09:18:16 marc Exp $
-->
<xsl:stylesheet
    version="1.0"
    xmlns:mk="http://www.indexdata.dk/masterkey/config/1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:variable name="lang"
            select="string(page/languages/lang[@selected='true'])"/>

  <xsl:variable name="config" select="/*/mk:config/mk:setting"/>

  <xsl:variable name="jquery_uri" select="$config[@name='jquery_uri']/@value"/>
  <xsl:variable name="pazpar2_uri"
                select="$config[@name='pazpar2_uri']/@value"/>
  <xsl:variable name="masterkey_core_uri"
                select="$config[@name='masterkey_core_uri']/@value"/>
  <xsl:variable name="masterkey_auth_uri"
                select="$config[@name='masterkey_auth_uri']/@value"/>

  <xsl:variable name="multi_lang" select="$config[@name='multi_lang']/@value"/>
  <xsl:variable name="auth" select="$config[@name='auth']/@value"/>
  <xsl:variable name="resource_select"
              select="$config[@name='resource_select']/@value"/>
  <xsl:variable name="profile_edit"
              select="$config[@name='profile_edit']/@value"/>

  <xsl:variable name="about" select="/page/aboutcontent"/>
  <xsl:variable name="help" select="/page/helpcontent"/>
</xsl:stylesheet>
<!--
/*
 * Local variables:
 * c-basic-offset: 2
 * indent-tabs-mode: nil
 * End:
 * vim: shiftwidth=2 tabstop=4 expandtab
 */
-->
